import { z } from "zod";
import { CommonDetails } from "./common";

export const MovieDetails = CommonDetails.extend({
	type: z.literal("MOVIE"),
	runtimeSeconds: z.int().positive(),
});

export type MovieDetails = z.infer<typeof MovieDetails>;
